Bug 842023 - vala scriptlet fail caused f16-->f17 upgrade using preupgrade to fail
vala scriptlet fail caused f16-->f17 upgrade using preupgrade to fail
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vala (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 18:18 EDT by Paul Wouters
Modified: 2013-02-13 21:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:02:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-07-20 18:18:40 EDT
Description of problem:
dying scriplet caused preupgrade/upgrade to fail during cleanup phase, leaving 2000+ duplicate packages on my system

Version-Release number of selected component (if applicable):
vala-0.14.2-3.fc16.x86_64

How reproducible:
No idea

After booting, i ran sudo package-cleanup --cleandupes which does not abort on failed scriplets and it showed:

  Erasing    : librepor-python.x86_64                   255/1193 
Error in PREUN scriptlet in rpm package vala-0.14.2-3.fc16.x86_64
  Erasing    : libopenraw-gnome-0.0.8-5.fc15.x86_64     256/1193 
error: %preun(vala-0.14.2-3.fc16.x86_64) scriptlet failed, exit status 2
error: vala-0.14.2-3.fc16.x86_64: erase failed
  Erasing    : libopenraw-0.0.8-5.fc15.x86_64            257/1193 
  Erasing    : 1:doxygen-1.7.5-1.fc16.x86_64
Comment 1 Paul Wouters 2012-07-20 22:03:04 EDT
note that running rpm -e on vala-0.16.0-4.fc17.x86_64 still gives a scriptlet error.
Comment 2 Fedora End Of Life 2013-02-13 21:03:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.